@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');

*{
    margin: 0px;
    padding: 0px;
    background: #0d1420;
    font-family: "Raleway", sans-serif;
}
nav{
    background: black;
    padding: 20px;
    display: flex;
}
nav .pages{
    background-color: black;
    margin: 0px 10px;
}
nav .hamburger{
    margin: 0;
    position: absolute;
    top: 80px;
    z-index: 1;
    font-size: 30px;
}
nav i{
    color: aliceblue;
}
nav .home{
    margin-left: 50px;
}
nav .pages a{
    text-decoration: none;
    background-color: black;
    color: aliceblue;
    font-size: 20px;
    border: none;
    border-radius: 10px;
    padding: 5px 7px;
}
nav .pages a:hover{
    background-color: aliceblue;
    color: black;
}
nav .clock a{
    color: rgb(0, 144, 144);
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #111;
    overflow-x: hidden;
    padding-top: 60px; 
    transition: 0.5s; 
  }
  .sidenav a{
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    background-color: #111;
    display: block;
    transition: 0.3s;
  }
  .sidenav a:hover {
    color: #f1f1f1;
  }
  .sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
  }
  .sidenav .timerLink{
    color: rgb(0, 144, 144);
  }
  @media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
  }

.container{
    display: flex;
    height: 83vh;
    width: auto;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.display{
    font-size: 75px;
    color: aliceblue;
    padding: 10px 20px;
    border-radius: 20px;
    margin-bottom: 80px;
    box-shadow: 0 0 20px rgba(0, 144, 144, 0.3);
}
.blueglow{
    box-shadow: 0 0 30px rgb(0, 177, 177);
}
.redglow{
    box-shadow: 0 0 30px rgba(255, 0, 0, 0.7);
}
.display input{
    height: 80px;
    width: 82px;
    text-align: center;
    font-size: 75px;
    font-family: sans-serif;
    color: aliceblue;
    border: 0;
}
.display .value{
    font-family: sans-serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.buttons button{
    color: aliceblue;
    font-size: 20px;
    font-weight: 600;
    background-color: rgb(0, 144, 144);
    padding: 5px 10px;
    border: 0;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}
.startbtn{
    margin: 0px 20px;
}
.startbtn:hover{
    background: rgb(0, 96, 96);
}
.buttons .pause, .buttons .stopbtn, .buttons .deletebtn{
    background-color: red;
}
.buttons .pause:hover, .buttons .stopbtn:hover, .buttons .deletebtn:hover{
    background-color: rgb(131, 0, 0)
}
.invisible{
    display: none;
}

footer{
    max-width: 100%;
    margin: 0;
    padding: 20px;
    background-color: rgb(0, 144, 144);
    color: black;
    text-align: center;
    font-family: sans-serif;
}

@media screen and (max-width: 1000px){
    .display{
        font-size: 50px;
    }
    .display input{
        height: 70px;
        width: 55px;
        font-size: 50px;
    }
}

@media screen and (max-width: 600px){
    .container{
        height: 85vh;
    }
    .display{
        font-size: 40px;
    }
    .display input{
        height: 60px;
        width: 45px;
        font-size: 40px;
    }
    footer{
        padding: 15px;
        font-size: 14px;
    }
}
@media screen and (max-width:425px){
    nav{
        padding: 10px;
    }
    nav .pages{
        margin: 0px 5px;
    }
    nav .hamburger{
        top: 60px;
        font-size: 25px;
    }
    nav .home{
        margin-left: 10px;
    }
    nav .pages a{
        font-size: 18px;
        border: none;
        padding: 4px 5px;
    }
    .sidenav a{
        font-size: 20px;
    }
    .container{
        height: 90vh;
    }
    .display{
        font-size: 28px;
        margin-bottom: 60px;
    }
    .display input{
        height: 25px;
        width: 30px;
        font-size: 28px;
    }
    .buttons button{
        padding: 5px 8px;
        border-radius: 8px;
    }
    .startbtn{
        margin: 0px 10px;
    }
    footer{
        margin-top: 50px;
        padding: 10px;
        font-size: 10px;
    }
}